Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class EncryptedContentInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cms.EncryptedContentInfo

All Implemented Interfaces:
  DEREncodable

    public class EncryptedContentInfo

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`EncryptedContentInfo(ASN1Sequence seq)`
`EncryptedContentInfo(DERObjectIdentifier contentType, AlgorithmIdentifier contentEncryptionAlgorithm, ASN1OctetString encryptedContent)`

Method Summary
`AlgorithmIdentifier` `getContentEncryptionAlgorithm()`
`DERObjectIdentifier` `getContentType()`
`ASN1OctetString` `getEncryptedContent()`
`static EncryptedContentInfo` `getInstance(java.lang.Object obj)` return an EncryptedContentInfo object from the given object.
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedContentInfo

    public EncryptedContentInfo(DERObjectIdentifier contentType,
                                AlgorithmIdentifier contentEncryptionAlgorithm,
                                ASN1OctetString encryptedContent)

### EncryptedContentInfo

    public EncryptedContentInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static EncryptedContentInfo getInstance(java.lang.Object obj)

  return an EncryptedContentInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getContentType

    public DERObjectIdentifier getContentType()

### getContentEncryptionAlgorithm

    public AlgorithmIdentifier getContentEncryptionAlgorithm()

### getEncryptedContent

    public ASN1OctetString getEncryptedContent()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       EncryptedContentInfo ::= SEQUENCE {
           contentType ContentType,
           contentEncryptionAlgorithm ContentEncryptionAlgorithmIdentifier,
           encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45